DKBSignDocs

API reference

POSTRequires Bearer token

Update a company user

/api/users/update/{user}

Multipart if uploading a stamp image.

Path parameters

FieldTypeDescription
user
Required
stringPath parameter user.

Query parameters

This endpoint has no query parameters.

Request body

Send as multipart/form-data.

FieldTypeDescription
name
stringLast name.
firstname
stringFirst name.
email
stringEmail.
cni_number
stringID document number.
phone
stringPhone.
password
stringNew password (min 8, local accounts only).
role_id
integerCompany role.
role_managed_locally
booleanKeep the role when LDAP syncs.
e.g. true
image
stringStamp image (png/jpg, max 5240 KB).

Responses

StatusMeaning
201Created
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/users/update/user' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Accept: application/json' \
  -F 'name=name' \
  -F 'firstname=firstname' \
  -F 'email=user@acme.test' \
  -F 'cni_number=cni_number' \
  -F 'phone=phone' \
  -F 'password=P@ssw0rd!' \
  -F 'role_id=1' \
  -F 'role_managed_locally=true' \
  -F 'image=image'

Response 201

json
{
  "message": "Created"
}